trav_both {DiagrammeR} | R Documentation

## Traverse from one or more selected nodes to predecessors and successors, irrespective of edges, creating a new node selection

### Description

From a graph object of class `dgr_graph` move toward both predecessor and successor nodes from one or more nodes present in a selection. The current nodes in the selection are replaced with those nodes traversed to.

### Usage

    trav_both(graph, node_attr = NULL, match = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`node_attr` | an optional character vector of node attribute values for filtering the node ID values returned.
`match` | an option to provide a logical expression with a comparison operator (`>`, `<`, `==`, or `!=`) followed by a number for numerical filtering, or, a character string for filtering the edges returned through string matching.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]